javax.jdo.annotations

## Enum PersistenceModifier

- java.lang.Object
- - java.lang.Enum<PersistenceModifier>
  - - javax.jdo.annotations.PersistenceModifier

- All Implemented Interfaces:
    Serializable, Comparable<PersistenceModifier>

      public enum PersistenceModifier
      extends Enum<PersistenceModifier>

  Enumeration of the persistence-modifier values for a field or property. This corresponds to the "persistence-modifier" attribute of the "field" and "property" elements.
  Since:
    2.1
  Version:
    2.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE`
    `PERSISTENT`
    `TRANSACTIONAL`
    `UNSPECIFIED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PersistenceModifier` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PersistenceModifier[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSPECIFIED

          public static final PersistenceModifier UNSPECIFIED

    - #### PERSISTENT

          public static final PersistenceModifier PERSISTENT

    - #### TRANSACTIONAL

          public static final PersistenceModifier TRANSACTIONAL

    - #### NONE

          public static final PersistenceModifier NONE

  - ### Method Detail

    - #### values

          public static PersistenceModifier[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PersistenceModifier c : PersistenceModifier.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PersistenceModifier valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.